Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Partitioning_Handler Class Reference

This DocHandler handles the "partitioning" tag. More...

`#include <Assembly_Handlers.h>`

Inheritance diagram for CIAO::Partitioning_Handler:

[legend]
Collaboration diagram for CIAO::Partitioning_Handler:

[legend]
List of all members.

## Public Types
enum | PH_States { START, HOMEPLACEMENT, COMPONENT_INSTANTIATION }
enum | CHAR_States { IDLE, DESTINATION }
enum | EXT_Types { CAT_FILE_NAME, RTPOLICYSET_NAME, INVALID_EXT }
| Types of <extension tags="">. More...
## Public Member Functions
| Partitioning_Handler (Assembly_Spec *spec, ACEXML_XMLReader *parser, CIAO::XMLHelpers::Cascadable_DocHandler *parent, const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
| Constructor.
virtual | ~Partitioning_Handler ()
| Destructor.
virtual void | characters (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
## Protected Member Functions
EXT_Types | get_extension_info (ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
## Protected Attributes
long | element_count_
Assembly_Spec * | context_
Assembly_Placement::hostcollocation * | host_collocation_
| Temporary holder when building componentinstantiation spec.
Assembly_Placement::processcollocation * | process_collocation_
| Temporary holder when building componentinstantiation spec.
Assembly_Placement::homeplacement * | home_placement_
| Temporary holder when building homeplacement spec.
Assembly_Placement::componentinstantiation * | comp_instance_
| Temporary holder when building componentinstantiation spec.
PH_States | state_
ACE_CString | characters_
| Holding the PCDATA.
EXT_Types | ext_type_
| Trace the type of extension element we are dealing with.
Assembly_Placement::componentinstantiation::Register_Info | comp_register_info_
| Temporary holder when building registration information.

## Detailed Description

This DocHandler handles the "partitioning" tag.

## Member Enumeration Documentation

enum CIAO::Partitioning_Handler::CHAR_States

  | Enumeration values:
  IDLE |
  DESTINATION |

enum CIAO::Partitioning_Handler::EXT_Types

  | Types of <extension tags="">. Enumeration values:
  CAT_FILE_NAME |
  RTPOLICYSET_NAME |
  INVALID_EXT |

enum CIAO::Partitioning_Handler::PH_States

  | Enumeration values:
  START |
  HOMEPLACEMENT |
  COMPONENT_INSTANTIATION |

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Partitioning_Handler::Partitioning_Handler | ( | Assembly_Spec * | spec,
|  | ACEXML_XMLReader * | parser,
|  | CIAO::XMLHelpers::Cascadable_DocHandler * | parent,
|  | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)

| Constructor.

ACE_INLINE CIAO::Partitioning_Handler::~Partitioning_Handler | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void CIAO::Partitioning_Handler::characters | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int length | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Reimplemented from ACEXML_DefaultHandler.

void CIAO::Partitioning_Handler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the end of an element. Reimplemented from ACEXML_DefaultHandler.

CIAO::Partitioning_Handler::EXT_Types CIAO::Partitioning_Handler::get_extension_info | ( | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[protected]`

| Examine the "extension" attributes and return the type of the extension if it's something we know how to handle.

void CIAO::Partitioning_Handler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the beginning of an element. Reimplemented from ACEXML_DefaultHandler.

## Member Data Documentation

ACE_CString CIAO::Partitioning_Handler::characters_`[protected]`

| Holding the PCDATA.

Assembly_Placement::componentinstantiation* CIAO::Partitioning_Handler::comp_instance_`[protected]`

| Temporary holder when building componentinstantiation spec.

Assembly_Placement::componentinstantiation::Register_Info CIAO::Partitioning_Handler::comp_register_info_`[protected]`

| Temporary holder when building registration information.

Assembly_Spec* CIAO::Partitioning_Handler::context_`[protected]`

long CIAO::Partitioning_Handler::element_count_`[protected]`

EXT_Types CIAO::Partitioning_Handler::ext_type_`[protected]`

| Trace the type of extension element we are dealing with.

Assembly_Placement::homeplacement* CIAO::Partitioning_Handler::home_placement_`[protected]`

| Temporary holder when building homeplacement spec.

Assembly_Placement::hostcollocation* CIAO::Partitioning_Handler::host_collocation_`[protected]`

| Temporary holder when building componentinstantiation spec.

Assembly_Placement::processcollocation* CIAO::Partitioning_Handler::process_collocation_`[protected]`

| Temporary holder when building componentinstantiation spec.

PH_States CIAO::Partitioning_Handler::state_`[protected]`

The documentation for this class was generated from the following files:

- Assembly_Handlers.h
- Assembly_Handlers.cpp
- Assembly_Handlers.inl